GroovyConsoleEngine (Groovy 5.0.6)

Package: org.apache.groovy.groovysh.jline

## [Groovy] Class GroovyConsoleEngine

- org.apache.groovy.groovysh.jline.GroovyConsoleEngine

-     class GroovyConsoleEngine
      extends org.jline.console.impl.ConsoleEngineImpl

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.jline.console.impl.ConsoleEngineImpl` | `VAR_NANORC`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyConsoleEngine(org.jline.console.ScriptEngine engine, org.jline.console.Printer printer, Supplier<Path> workDir, org.jline.builtins.ConfigurationPath configPath, org.jline.reader.LineReader reader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `name()`
    `` | `void` | `println(Map<String, Object> options, Object object)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.jline.console.impl.ConsoleEngineImpl` | `org.jline.console.impl.ConsoleEngineImpl#alias(java.lang.String, java.lang.String), org.jline.console.impl.ConsoleEngineImpl#commandAliases(), org.jline.console.impl.ConsoleEngineImpl#commandDescription(java.util.List), org.jline.console.impl.ConsoleEngineImpl#commandInfo(java.lang.String), org.jline.console.impl.ConsoleEngineImpl#commandNames(), org.jline.console.impl.ConsoleEngineImpl#commandOptions(java.lang.String), org.jline.console.impl.ConsoleEngineImpl#compileCommandDescription(java.lang.String), org.jline.console.impl.ConsoleEngineImpl#compileCommandInfo(java.lang.String), org.jline.console.impl.ConsoleEngineImpl#compileCommandOptions(java.lang.String), org.jline.console.impl.ConsoleEngineImpl#compileCompleters(), org.jline.console.impl.ConsoleEngineImpl#consoleOption(java.lang.String, java.lang.Object), org.jline.console.impl.ConsoleEngineImpl#defaultCompleter(java.lang.String), org.jline.console.impl.ConsoleEngineImpl#doHelpDesc(java.lang.String, java.util.List, org.jline.console.CmdDesc), org.jline.console.impl.ConsoleEngineImpl#equals(java.lang.Object), org.jline.console.impl.ConsoleEngineImpl#execute(java.io.File), org.jline.console.impl.ConsoleEngineImpl#execute(java.io.File, java.lang.String, [Ljava.lang.String;), org.jline.console.impl.ConsoleEngineImpl#execute(java.lang.String, java.lang.String, [Ljava.lang.String;), org.jline.console.impl.ConsoleEngineImpl#execute(java.nio.file.Path, java.lang.String, [Ljava.lang.String;), org.jline.console.impl.ConsoleEngineImpl#executeWidget(java.lang.Object), org.jline.console.impl.ConsoleEngineImpl#expandCommandLine(java.lang.String), org.jline.console.impl.ConsoleEngineImpl#expandParameters([Ljava.lang.String;), org.jline.console.impl.ConsoleEngineImpl#expandToList(java.util.List), org.jline.console.impl.ConsoleEngineImpl#getAlias(java.lang.String), org.jline.console.impl.ConsoleEngineImpl#getClass(), org.jline.console.impl.ConsoleEngineImpl#getCommandMethods(java.lang.String), org.jline.console.impl.ConsoleEngineImpl#getNamedPipes(), org.jline.console.impl.ConsoleEngineImpl#getPipes(), org.jline.console.impl.ConsoleEngineImpl#getVariable(java.lang.String), org.jline.console.impl.ConsoleEngineImpl#hasAlias(java.lang.String), org.jline.console.impl.ConsoleEngineImpl#hasCommand(java.lang.String), org.jline.console.impl.ConsoleEngineImpl#hasVariable(java.lang.String), org.jline.console.impl.ConsoleEngineImpl#hashCode(), org.jline.console.impl.ConsoleEngineImpl#invoke(org.jline.console.CommandRegistry$CommandSession, java.lang.String, [Ljava.lang.Object;), org.jline.console.impl.ConsoleEngineImpl#isExecuting(), org.jline.console.impl.ConsoleEngineImpl#name(), org.jline.console.impl.ConsoleEngineImpl#notify(), org.jline.console.impl.ConsoleEngineImpl#notifyAll(), org.jline.console.impl.ConsoleEngineImpl#parseOptions([Ljava.lang.String;, [Ljava.lang.Object;), org.jline.console.impl.ConsoleEngineImpl#persist(java.nio.file.Path, java.lang.Object), org.jline.console.impl.ConsoleEngineImpl#postProcess(java.lang.Object), org.jline.console.impl.ConsoleEngineImpl#postProcess(java.lang.String, java.lang.Object, java.lang.String), org.jline.console.impl.ConsoleEngineImpl#println(java.lang.Object), org.jline.console.impl.ConsoleEngineImpl#purge(), org.jline.console.impl.ConsoleEngineImpl#putVariable(java.lang.String, java.lang.Object), org.jline.console.impl.ConsoleEngineImpl#registerCommands(java.util.Map), org.jline.console.impl.ConsoleEngineImpl#registerCommands(java.util.Map, java.util.Map), org.jline.console.impl.ConsoleEngineImpl#registeredCommand(java.lang.String), org.jline.console.impl.ConsoleEngineImpl#rename(java.lang.Enum, java.lang.String), org.jline.console.impl.ConsoleEngineImpl#saveException(java.lang.Exception), org.jline.console.impl.ConsoleEngineImpl#scriptCompleters(), org.jline.console.impl.ConsoleEngineImpl#scripts(), org.jline.console.impl.ConsoleEngineImpl#setConsoleOption(java.lang.String, java.lang.Object), org.jline.console.impl.ConsoleEngineImpl#setLineReader(org.jline.reader.LineReader), org.jline.console.impl.ConsoleEngineImpl#setScriptExtension(java.lang.String), org.jline.console.impl.ConsoleEngineImpl#setSystemRegistry(org.jline.console.SystemRegistry), org.jline.console.impl.ConsoleEngineImpl#slurp(java.nio.file.Path), org.jline.console.impl.ConsoleEngineImpl#toString(), org.jline.console.impl.ConsoleEngineImpl#trace(java.lang.Object), org.jline.console.impl.ConsoleEngineImpl#wait(), org.jline.console.impl.ConsoleEngineImpl#wait(long), org.jline.console.impl.ConsoleEngineImpl#wait(long, int)`

- - ### Constructor Detail

    - #### GroovyConsoleEngine(org.jline.console.ScriptEngine engine, org.jline.console.Printer printer, Supplier<Path> workDir, org.jline.builtins.ConfigurationPath configPath, org.jline.reader.LineReader reader)

  - ### Method Detail

    - #### @Override
      String name()

    - #### void println(Map<String, Object> options, Object object)